Help - Search - Members - Calendar
Full Version: Gnocky Compiled For Pdaxrom?
OESF Forums > Distros, Development, and Model Specific Forums > Distro Support and Discussion > pdaXrom
daniel3000
Hello,

Xromer announced in this posting that he would compile gnocky (GTK frontend for gnokii). However, I did not find an IPK so far, even in his contrib.

Did anyone succeed in compiling it for pdaXrom?

I have tried to compile the latest version 0.0.3, but it does not work correctly.
I can start it and it connects and shows the phone status nicely.
But no additional actions can be done.
I can swithc to the SMS, phonebook etc. tabs. but buttons trigger no actions, no child windows can be opened (preferences etc.).

It seems to be a problem maybe with GTK or libglade. But I am not sure.

Any ideas?

Thanks
daniel
Chero
same here (I tested it quite a while ago).

You can get the same results with 0.0.2.

I had the feeling it was the code. When you launch from a terminal, you can read "button clicked" all the time. This gave me the feeling the code was not completed.

xgnokii works fine, but the fonts are small.

Have fun,
Chero.
daniel3000
QUOTE(Chero @ Nov 15 2006, 08:28 PM)
same here (I tested it quite a while ago).

You can get the same results with 0.0.2.

I had the feeling it was the code. When you launch from a terminal, you can read "button clicked" all the time. This gave me the feeling the code was  not completed.

xgnokii works fine, but the fonts are small.

Have fun,
Chero.
*


Indeed, xgnokii is too small. Not only the fonts, but also the buttons etc.
Maybe it could b recompiled with doubled GUI size. I don't know how much efforts this would cost. Will look into this later.

gnocky is mysterious. It also throws out a lot of GTK warnings.

daniel
Chero
Gnocky works !

The problem is glade. Some (older) glade gui-s need an extra linker flag to compile correctly.
I was having troubles with several glade-things, so I did a bit of searching.
The linker needs "-export-dynamic". Reconfigure the thing, recompile and play.

CODE
LDFLAGS="-export-dynamic" ./configure


Have fun,
Chero.
zedkatuf2
QUOTE(Chero @ Nov 27 2006, 10:10 PM)
Gnocky works !

The problem is glade. Some (older) glade gui-s need an extra linker flag to compile correctly.
I was having troubles with several glade-things, so I did a bit of searching.
The linker needs "-export-dynamic". Reconfigure the thing, recompile and play.

CODE
LDFLAGS="-export-dynamic" ./configure


Have fun,
Chero.
*


Hi, do you think you could post an ipk somewhere? I really want to get beyond just sms with gnome-phone-manager, and gnocky looks like a possible way forward to manage my texts etc easily.
Chero
QUOTE(zedkatuf2 @ Aug 15 2007, 11:59 PM)
QUOTE(Chero @ Nov 27 2006, 10:10 PM)
Gnocky works !

The problem is glade. Some (older) glade gui-s need an extra linker flag to compile correctly.
I was having troubles with several glade-things, so I did a bit of searching.
The linker needs "-export-dynamic". Reconfigure the thing, recompile and play.

CODE
LDFLAGS="-export-dynamic" ./configure


Have fun,
Chero.
*


Hi, do you think you could post an ipk somewhere? I really want to get beyond just sms with gnome-phone-manager, and gnocky looks like a possible way forward to manage my texts etc easily.
*



Sorry to answer this late,
But if I make an ipk it would be for r198 and it wouldn't work for pdaXii3.
Maybe someone else can give it a go ?

BTW :
I compiled gnokii 0.6.18 - 0.6.17 - latest snapshot but they all give me no signal level and no battery level. The "old" 0.6.9 does give them, but that one doesn't work for gnocky-0.0.4.
I don't know whether it is the version or my compilation that does this. Can someone else give it a try ?
It might even be my phone that causes the problem, but why does it work on 0.6.9 then ?
I'd be happy to post an ipk of gnokii 0.6.18 and the dev-part if someone want to look into it.

Chero.
zedkatuf2
QUOTE(Chero @ Aug 23 2007, 06:53 AM)
QUOTE(zedkatuf2 @ Aug 15 2007, 11:59 PM)
QUOTE(Chero @ Nov 27 2006, 10:10 PM)
Gnocky works !

The problem is glade. Some (older) glade gui-s need an extra linker flag to compile correctly.
I was having troubles with several glade-things, so I did a bit of searching.
The linker needs "-export-dynamic". Reconfigure the thing, recompile and play.

CODE
LDFLAGS="-export-dynamic" ./configure


Have fun,
Chero.
*


Hi, do you think you could post an ipk somewhere? I really want to get beyond just sms with gnome-phone-manager, and gnocky looks like a possible way forward to manage my texts etc easily.
*



Sorry to answer this late,
But if I make an ipk it would be for r198 and it wouldn't work for pdaXii3.
Maybe someone else can give it a go ?

BTW :
I compiled gnokii 0.6.18 - 0.6.17 - latest snapshot but they all give me no signal level and no battery level. The "old" 0.6.9 does give them, but that one doesn't work for gnocky-0.0.4.
I don't know whether it is the version or my compilation that does this. Can someone else give it a try ?
It might even be my phone that causes the problem, but why does it work on 0.6.9 then ?
I'd be happy to post an ipk of gnokii 0.6.18 and the dev-part if someone want to look into it.

Chero.
*




Thanks for your work on this Chero - looks like I'll have to stick with xgnokii, which ain't bad I guess.

Cheers,

zedkatuf2
This is a "lo-fi" version of our main content. To view the full version with more information, formatting and images, please click here.
Invision Power Board © 2001-2014 Invision Power Services, Inc.